package com.gic.haoban.manage.web.controller.test;

import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.web.controller.WebBaseController;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;
import com.gic.haoban.task.manage.api.service.IGroupSendDetailApiService;
import com.gic.haoban.task.manage.api.service.TaskQuartzCallbackApiService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * Created 2018/12/17.
 *
 * @author hua
 */
@Controller
@RequestMapping("/test")
public class TestTaskController extends WebBaseController {

    @Autowired
    private TaskQuartzCallbackApiService taskQuartzCallbackApiService;
//    @Autowired
//    private TestService testService;
//
//    @RequestMapping("/testList")
//    @ResponseBody
//    public HaobanResponse testList(String id, BasePageInfo info) {
//        HaoBanErrCode errCode = HaoBanErrCode.ERR_1;
//        Page<TestDTO> testDTOPage = testService.queryPage(info);
//        return resultResponse(errCode, testDTOPage);
//    }
//
//    @RequestMapping("/imcallback")
//    @ResponseBody
//    public JSONObject imcallback(@RequestBody JSONObject msg) {
//        System.out.println(msg);
//        System.out.println(msg.toJSONString());
//        String rest = "{\n" +
//                "    \"ActionStatus\": \"OK\",\n" +
//                "    \"ErrorInfo\": \"\",\n" +
//                "    \"ErrorCode\": 0 // 0 为允许发言\n" +
//                "}";
//        return JSONObject.parseObject(rest);
//    }
//

    @RequestMapping("/groupSendCreateEnd")
    @ResponseBody
    public HaobanResponse testListVo(String str) {
        if (StringUtils.isBlank(str)) {
            return resultResponse(HaoBanErrCode.ERR_2);
        }
        taskQuartzCallbackApiService.groupSendCreateEnd(str);
        return resultResponse(HaoBanErrCode.ERR_1);
    }

    @RequestMapping("/sendMessageAfter")
    @ResponseBody
    public HaobanResponse sendMessageAfter(String str) {
        if (StringUtils.isBlank(str)) {
            return resultResponse(HaoBanErrCode.ERR_2);
        }
        taskQuartzCallbackApiService.sendMessageAfter(str);
        return resultResponse(HaoBanErrCode.ERR_1);
    }
}
